Subject: bug#45636: closed (Re: bug#45635: 28.0.50; Customizing face font family fails on recent native-comp branch)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Jan 2021 09:37:02 +0000

Your bug report

#45635: [feature/native-comp] new (X11) windows don't use configured face/font

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45635: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45635
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45635: 28.0.50; Customizing face font family fails on recent native-comp branch
From: Andrea Corallo <[email-masked]>
To: Aaron Madlon-Kay <[email-masked]>, Jim Myhrberg <[email-masked]>
Cc: Christian Thaeter <[email-masked]>, [email-masked]
Date: Tue, 05 Jan 2021 09:36:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Aaron Madlon-Kay <[email-masked]> writes:

>> On Jan 5, 2021, at 6:37, Andrea Corallo <[email-masked]> wrote:
>> 
>> Right 5074447ef4 should fix this, could you give it a try?
>
> I tried 8ad983c4acef60a80e8d6b6ba891b1ef957f2d7c (two commits later) and the font setting issue is definitely fixed. Thanks very much!
>
> -Aaron

Hi Aaron and Jim,

thanks for checking, closing this then.

Thanks!

  Andrea

Subject: [feature/native-comp] new (X11) windows don't use configured face/font
From: Christian Thaeter <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 3 Jan 2021 16:35:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Opening a new emacs window under X11 falls back to
"Bitstream Vera Sans" not honoring the default face I have configured.

I can change the face, but opening a new window still falls back.

When I compile the exact same source tree without '--with-nativecomp'
then the Problem vanishes.

My tree here is native-comp (a3f2373bfb604af5570c86b4ffefb23296a5bfdd)
merged with master (825b4ec338e82869dc656c7041ab2483b6c22479).

	Cheers Christian